DynFlags

# Dynamic flags and associated configuration types

data DynFlag

data ExtensionFlag

glasgowExtsFlags

dopt

dopt_set

dopt_unset

xopt

xopt_set

xopt_unset

data DynFlags

data RtsOptsEnabled

data HscTarget

isObjectTarget

defaultObjectTarget

data GhcMode

isOneShot

data GhcLink

isNoLink

data PackageFlag

data Option

showOpt

data DynLibLoader

fFlags

fLangFlags

xFlags

dphPackage

wayNames

## Manipulating DynFlags

defaultDynFlags

initDynFlags

getOpts

getVerbFlag

updOptLevel

setTmpDir

setPackageName

doingTickyProfiling

## Parsing DynFlags

parseDynamicFlags

parseDynamicNoPackageFlags

allFlags

supportedLanguagesAndExtensions

## DynFlag C compiler options

machdepCCOpts

picCCOpts

# Configuration of the stg-to-stg passes

data StgToDo

getStgToDo

# Compiler configuration suitable for display to the user

data Printable

compilerInfo

rtsIsProfiled